[ar] [ca] [cpf] [de] [en] [es] [fr] [it]

Sujets : 35 Sujets résolus :  50 %

73 besucheranzahl heute


Startseite > Diskussionsforen >  Installation und Updates > > Installationsfehlermeldung

> Installationsfehlermeldung

von Tomsen - 20. August 2005 17:52 - Antworten : 7

Hallo,
dieser Fehler wird beim Aufruf der Installationsroutine http://website/ecrire
angezeigt. Welcher Fehler liegt vor ?

Fatal error: Call to unsupported or undefined function foreach() in inc_version.php3 on line 72

Grüße Edwin


  • #1 > > Installationsfehlermeldung ˆ
    von klaus++ - 22. August 2005 11:01

    Dieser Fehler tritt vermutlich (Deiner Frage fehlen die Informationen zu OS-Plattform, PHP-Version und SPIP-Version) aufgrund der bei SPIP 1.8 verwendeten Dateierweiterung PHP3 auf. SPIP benötigt ab Version 1.8 eine PHP4-Laufzeitumgebung. Das ist im Regelfall unkrtitisch, zumindest dann, wenn nur PHP4 auf dem Webserver installiert ist.

    Wenn sowohl PHP3 als auch PHP4 zurVerfügung stehen, muss man den Server ausdrücklich anweisen, SPIP unter PHP4 auszuführen. Dazu legt man im Installationsverzeichnis von SPIP eine Datei mit dem Namen ".htaccess" an, die zumindest diese Zeile enthält:

    AddType x-mapp-php4 .php3

    Wenn Du Zugriff auf die Apache-Konfigurationsdatei „httpd.conf“ hast, kannst du hier die Zeile „AddType application/x-httpd-php .php .php3“ eintragen.

    Sollte das nicht funktionieren, kannst Du hier eine - inoffizielle - Version von SPIP 1.8 herunterladen, deren Skripte die Erweiterung PHP tragen, und sie manuell installieren.

    Die Version SPIP 1.82 wird die letzte mit der Erweiterung PHP3 sein, da nur noch zwei Provider dies verlangen. Danach wird SPIP mit einer neuen Entwicklungsumgebung programmiert werden. Im Zuge dieser Umstellung werden die Dateierweiterungen zu PHP geändert und die Verzeichnisstruktur grundlegend überarbeitet. Wie immer wird dabei die Abwärtskompatibilität weitgehend sichergstellt bleiben.


  • < #2 > > Installationsfehlermeldung ˆ
    von tomsen - 22. August 2005 16:00

    HaIlo Klaus. vielen dank fuer die antwort system os10 apple lnstallation 1821 bei t online ohne probleme der fehler tritt bei 1und1 auf hier wird aber auch php4 zur verfuegung gestellt.


  • < #3 > > Installationsfehlermeldung ˆ
    von klaus++ - 23. August 2005 01:17

    Bei 1und1 funktioniert die .htaccess-Methode.


  • < #4 > > Installationsfehlermeldung ˆ
    23. August 2005 09:07

    hallo klaus danke für die hilfe grüsse edwin


  • < #5 > > Installationsfehlermeldung ˆ
    13. Dezember 2005 19:15

    Noch ein Tip: Unter Windows ist es schwierig, eine Datei .htaccess schon auf dem eigenen Rechner anzulegen (bemängelt wird der Fehlende Dateiname vor dem .)
    Daher einfach die Datei zuerst unter einem anden Namen erstellen, z.B. htaccess.txt, und dann erst auf dem Server nach dem Hochladen in .htaccess umbenennen.


  • < #6 > > Installationsfehlermeldung ˆ
    von klaus++ - 13. Dezember 2005 20:48

    Das Umbenennen klappt auch unter Windows:

    - xyz.htaccess anlegen
    - nach .htaccess umbenennen
    - im Editor bearbeiten und speichern.

    So kann man die .htaccess Direktiven auch im Apache unter Windows testen.


  • < #7 > Installationsfehlermeldung ˆ
    von John Winter - 28. Dezember 2005 01:23

    Hello World!

    Versucht mal folgendes in eurer .htaccess:

    "AddType application/x-httpd-php4 .php3"

    Das funzt bei Dienstleistern wie Strato, 1&1, usw...

    Viel Spass!

    Online ansehen - OW2 multimedia


  •  


Auf diese Frage antworten

« > Installationsfehlermeldung »

Schlagworte

Sie können diese Seite nach Belieben verschlagworten. Damit helfen Sie den nächsten Lesern bei der Orientierung.


1. Installation, mise à jour

2. Utilisation de l’espace privé

3. Administration, gestion, configuration du site

4. Créer ses squelettes

Wer sind Sie?

  • Nach Upgrade

    von klaus++
    28. Februar 2009 07:54

    Antworten : 5

    Klicke auf den Link.

  • Titel der Website

    von Matthias Burisch
    12. Februar 2009 14:08

    Antworten : 6

    Und nochmal: Gibt es jemanden im Raum Hamburg, der sich mit SPIP auskennt und — natürlich gegen Gage — eine Website betreuen würde? Bitte melden (040-42838-5470)! Matthias (...)

  • Zend PHP und IBM DB2

    von klaus++
    10. Dezember 2007 15:10

    Antworten : 3

    Jede SQL-Datenbank spricht mehr oder weniger ihren eigenen Dialekt. SPIP bis Version 1.92 spricht den Dialekt von MySQL. Ab SPIP-Version 1.93 wird die Datenbank nicht mehr direkt per SQL-Befehl (...)

  • Installation und Updates

    von Dirk
    12. Juli 2006 00:21

    Antworten : 2

    Wie kann ich ein sauberes Update durchfuehren!? Gruss Dirk

  • Neu Installation

    von klaus++
    5. März 2007 13:27

    Antworten : 1

    Hallo, wen Du Dein Passwort vergessen hast, schickt Dir SPIP ein neues zu. Auf dem Anmeldebildschirm klickst Du auf den Link "Passwort vergessen?" Viel Erfolg! (...)

  • > Installationsfehlermeldung

    von John Winter
    28. Dezember 2005 01:23

    Antworten : 7

    Hello World! Versucht mal folgendes in eurer .htaccess: "AddType application/x-httpd-php4 .php3" Das funzt bei Dienstleistern wie Strato, 1&1, usw... Viel (...)

  • Nachrichten : 30
  • 6
  • Neue Frage stellen